[arch-commits] Commit in xclip/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sat Oct 31 16:36:07 EDT 2009


    Date: Saturday, October 31, 2009 @ 16:36:06
  Author: eric
Revision: 57538

Merged revisions 57533 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/xclip/trunk

........
  r57533 | eric | 2009-10-31 16:29:07 -0400 (Sat, 31 Oct 2009) | 2 lines
  
  upgpkg: xclip 0.12-1
      Upstream update, added sh depends
........

Modified:
  xclip/repos/extra-i686/	(properties)
  xclip/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)


Property changes on: xclip/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /xclip/trunk:1-11870
   + /xclip/trunk:1-57537

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-10-31 20:34:43 UTC (rev 57537)
+++ extra-i686/PKGBUILD	2009-10-31 20:36:06 UTC (rev 57538)
@@ -3,19 +3,20 @@
 # Committer: Manolis Tzanidakis <manolis at archlinux.org>
 
 pkgname=xclip
-pkgver=0.11
+pkgver=0.12
 pkgrel=1
 pkgdesc="A command line utility that provides interface to Xclipboard."
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://sourceforge.net/projects/xclip"
-depends=('libxmu')
 license=('GPL')
+depends=('libxmu' 'sh')
 source=(http://downloads.sourceforge.net/sourceforge/xclip/$pkgname-$pkgver.tar.gz)
-md5sums=('4caf3a2b03c36981f9af36a8e8582951')
+md5sums=('f7e19d3e976fecdc1ea36cd39e39900d')
+sha1sums=('aed2cff18b9aecfe3377ad064c6a67518bbec211')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd "$srcdir/$pkgname-$pkgver"
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR="$pkgdir" install || return 1
 }



More information about the arch-commits mailing list